javax.swing.plaf.basic

## Class BasicFileChooserUI.NewFolderAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicFileChooserUI.NewFolderAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.NewFolderAction
    extends AbstractAction

Creates a new folder.

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`protected` `BasicFileChooserUI.NewFolderAction()`

### Method Summary

Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicFileChooserUI.NewFolderAction

    protected BasicFileChooserUI.NewFolderAction()

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.